##
##  ssmtp.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ssmtp
Summary:      Simple SMTP MTA
URL:          ftp://metalab.unc.edu/pub/Linux/system/mail/mta/
Vendor:       Matt Ryan
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Mail
License:      GPL
Version:      2.48
Release:      20020821

#   list of sources
Source0:      ftp://metalab.unc.edu/pub/Linux/system/mail/mta/ssmtp-%{version}.tar.gz
Source1:      ssmtp.conf
Patch0:       ssmtp.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, make, gcc
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no
Provides:     MTA
Conflicts:    sendmail, exim, postfix

%description
    This is sSMTP, a program that replaces sendmail on workstations
    that should send their mail via the departmental mailhub from which
    they pick up their mail (via pop, imap, rsmtp, pop_fetch, NFS... or
    the like). This program accepts mail and sends it to the mailhub,
    optionally replacing the domain in the From: line with a different
    one.

%prep
    %setup0 -q
    rm -rf RCS
    %patch0 -p0
    rm config.cache

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags} \
        SSMTPCONFDIR="%{l_prefix}/etc/ssmtp" \
        CONFIGURATION_FILE="%{l_prefix}/etc/ssmtp/ssmtp.conf" \
        REVALIASES_FILE="%{l_prefix}/etc/ssmtp/ssmtp.revaliases"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/ssmtp \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8 \
        $RPM_BUILD_ROOT%{l_prefix}/var/ssmtp
    %{l_shtool} install -c -s -m 755 \
        ssmtp $RPM_BUILD_ROOT%{l_prefix}/sbin/
    chmod u+w ssmtp.8
    %{l_shtool} install -c -m 644 \
        -e 's;.B ssmtp;.B %{l_prefix}/sbin/ssmtp;' \
        -e 's;.B /usr/lib/sendmail;.B %{l_prefix}/sbin/sendmail;' \
        ssmtp.8 $RPM_BUILD_ROOT%{l_prefix}/man/man8/
    ln $RPM_BUILD_ROOT%{l_prefix}/sbin/ssmtp \
       $RPM_BUILD_ROOT%{l_prefix}/sbin/sendmail
    ln $RPM_BUILD_ROOT%{l_prefix}/man/man8/ssmtp.8 \
       $RPM_BUILD_ROOT%{l_prefix}/man/man8/sendmail.8
    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE ssmtp.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/ssmtp/
    %{l_shtool} install -c -m 644 revaliases \
        $RPM_BUILD_ROOT%{l_prefix}/etc/ssmtp/ssmtp.revaliases
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/ssmtp/ssmtp.conf'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

